# TP4

## Base de données
Le script de création de la base de données est dans tp4/sql/createDB.sql

## Requêtes

| Action                            | Requête               | 
| --------------------------------- |-----------------------| 
| Créer un utilisateur              | POST / user           | 
| Récupérer tous les utilisateurs   | GET / user            | 
| Récupérer un utilisateur          | GET / user / {id}     | 
| Modifier l'email d'un utilisateur | PUT / user / {id}     | 
| Supprimer un utilisateur          | DELETE / user / {id}  |

## POST et PUT

### POST
    {
        "firstname": "FirstName",
        "lastname": "Lastname",
        "login": "Login",
        "email": "email@gmail.com",
        "password": "mdp",
        "role": 0
    }

### PUT
    {
        "email": email@gmail.com
    }