<?php
    User::addSqlQuery('USER_CREATE',
        'INSERT INTO `users` VALUES (NULL, :firstname, :lastname, :login, :avatar, :avatar_url, :email, :password, :role)');

    User::addSqlQuery('USER_GET_LIST',
        'SELECT * FROM  `users` ORDER BY `id` ');

    User::addSqlQuery('USER_GET_WITH_ID',
        'SELECT * FROM  `users` WHERE `id` = :id');

    User::addSqlQuery('USER_GET_WITH_LOGIN',
        'SELECT * FROM  `users` WHERE `login` = :login');

    User::addSqlQuery('USER_UPDATE',
        'UPDATE `users` 
         SET  `firstname` = :firstname, `lastname` = :lastname, `login` = :login, `email` = :email, `password` = :password, `role` = :role
         WHERE `id` = :id');

    User::addSqlQuery('USER_DELETE',
        'DELETE FROM `users` WHERE `id` = :id');
?>